> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadcab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List deposits



## OpenAPI

````yaml GET /account/rechargeList
openapi: 3.1.0
info:
  title: Nadcab Labs Card Issuing API
  version: 1.0.0
  description: >-
    Issue and manage crypto-funded virtual and physical cards, cardholders,
    wallet deposits and remittances.
servers:
  - url: https://cc.nadcab.com/api/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Card BINs
    description: List card BINs you can issue on.
  - name: Account
    description: Wallet balance, deposits and withdrawals.
  - name: API settings
    description: Webhook URL, IP allowlist and card data encryption key.
  - name: Cards
    description: Create, fund, freeze and close cards.
  - name: Cardholders
    description: Create and manage cardholders for B2C card programs.
  - name: Remittance
    description: Send fiat bank transfers funded from your wallet.
paths:
  /account/rechargeList:
    get:
      tags:
        - Account
      summary: List deposits
      operationId: listDeposits
      parameters:
        - name: page
          in: query
          required: true
          description: Page
          schema:
            type: string
            example: '1'
        - name: limit
          in: query
          required: true
          description: Page size
          schema:
            type: string
            example: '20'
        - name: status
          in: query
          required: false
          description: ''
          schema:
            type: string
        - name: startTime
          in: query
          required: false
          description: Start time (e.g. 2026-08-03 00:00:00)
          schema:
            type: string
        - name: endTime
          in: query
          required: false
          description: End time (e.g. 2026-08-03 23:59:59)
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      total:
                        type: integer
                      per_page:
                        type: integer
                      current_page:
                        type: integer
                      last_page:
                        type: integer
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              description: Deposit ID
                            origin_amount:
                              type: string
                              description: Top-up amount
                            amount:
                              type: string
                              description: Credited amount
                            fee:
                              type: string
                              description: Fee
                            status:
                              type: string
                              description: >-
                                Status. Closed: completed; Pending: processing;
                                OnHold: deposit on hold; Refunded: refunded;
                                Rejected: rejected
                            created_at:
                              type: string
                              description: Created at
                            finish_at:
                              type: string
                              description: Completed at
                            hash:
                              type: string
                            to_address:
                              type: string
                              description: Source address
                            from_address:
                              type: string
                              description: Destination address
                            currency:
                              type: string
                              description: Currency
                            chain:
                              type: string
                              description: Network
                            risk_level:
                              type: string
                              description: Risk level. low; middle; high; severe
                            refund_address:
                              type: 'null'
                              description: Refund address
                            refund_fee:
                              type: string
                              description: Refund fee
                            refund_hash:
                              type: 'null'
                              description: Refund transaction hash
                      has_more:
                        type: boolean
                    required:
                      - total
                      - per_page
                      - current_page
                      - last_page
                      - data
                      - has_more
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: Success
                data:
                  total: 1000
                  per_page: 20
                  current_page: 1
                  last_page: 50
                  data:
                    - id: 1111
                      origin_amount: '100000.000'
                      amount: '99800.000'
                      fee: '200.000'
                      status: Closed
                      created_at: '2026-08-03 09:09:37'
                      finish_at: '2026-08-03 09:11:20'
                      hash: xxxx
                      to_address: xxxx
                      from_address: xxxx
                      currency: USDT
                      chain: TRX
                      risk_level: low
                      refund_address: null
                      refund_fee: '0.00'
                      refund_hash: null
                  has_more: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your API key from Console → Settings → Key & Access, sent as
        `Authorization: Bearer ncl_...`.

````